<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="laboratori aperti a tutti su diversi temi del digitale - ottobre 2021." />
  <meta name="author" content="la nassa" />
  <title>laboratori | la nassa</title>

  <!-- Facebook Meta Tags -->
  <meta property="og:url" content="https://lanassa.net/lab/index.html">
  <meta property="og:type" content="website">
  <meta property="og:title" content="laboratori | la nassa">
  <meta property="og:description" content="laboratori aperti a tutti su diversi temi del digitale - ottobre 2021." />
  <meta property="og:image" content="../assets/img/logo/Logo_NoLettering.png">
  <meta property="og:image:alt" content="logo dell'associazione la nassa">

  <!-- Twitter Meta Tags -->
  <meta name="twitter:card" content="summary">
  <meta property="twitter:domain" content="lanassa.net">
  <meta property="twitter:url" content="https://lanassa.net/lab/index.html">
  <meta name="twitter:title" content="laboratori | la nassa">
  <meta name="twitter:description" content="laboratori aperti a tutti su diversi temi del digitale - ottobre 2021." />
  <meta name="twitter:image" content="../assets/img/logo/Logo_NoLettering.png">
  <meta name="twitter:image:alt" content="logo dell'associazione la nassa">

  <!-- Icon on the browser and different devices -->
  <link rel="apple-touch-icon" sizes="180x180" href="../apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="../favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="../favicon-16x16.png">
  <link rel="manifest" href="../site.webmanifest">
  <link rel="mask-icon" href="../safari-pinned-tab.svg" color="#000000">
  <meta name="msapplication-TileColor" content="#2b5797">
  <meta name="theme-color" content="#ffffff">

  <!-- FontAwesome -->
  <script src="https://use.fontawesome.com/releases/v5.15.1/js/all.js" crossorigin="anonymous" async></script>
  <!-- Core theme CSS (includes Bootstrap)-->
  <link href="../css/styles.css" rel="stylesheet" />
  <link href="../css/nassa.css" rel="stylesheet" />
</head>

<body id="page-top">
  <!-- Navigation-->
  <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand js-scroll-trigger" href="../index.html"><img height="50rem" id='top-left-logo' src="../assets/img/logo/Logo_Orizzontale.svg"></a>
      <button class="navbar-toggler btn-nassa-menu" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation" id='btn-menu'>
        <i class="fas fa-bars"></i>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="../manifesto.html">manifesto</a></li>
          <!-- <li class="nav-item"><a class="nav-link js-scroll-trigger" href="/concretamente.html">obiettivi</a></li> -->
          <!-- <li class="nav-item"><a class="nav-link js-scroll-trigger" href="/corsi.html">corsi</a></li> -->
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="/events/index.html">eventi</a></li>
          <!-- <li class="nav-item"><a class="nav-link js-scroll-trigger" href="/lab/index.html">laboratori</a></li> -->
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="../nassa.html">chi siamo</a></li>
        </ul>
      </div>
    </div>
  </nav>


  <!-- CORSI e WORKSHOP-->

  <section class="top-space">&nbsp;</section>

  <section class="manifest-section white-section" id="part1">
    <hr />
    <div class="container my-0">
      <div class="tmp-img col-12 text-center">
        <img src="../assets/img/lab/openlab.png" class="nassa-title-img">
      <!-- <div class="col-lg-10 col-12 mx-auto pb-5">
        <h1 class="nassa-title text-center my-4 py-2">laboratori aperti</h1> -->
      </div>
      <!-- <div class="row my-4">
        <div class="col-12 col-lg-6 my-3">
          <hr class='lab-bar'/>
          <div class="row my-4" >
            <div class="col-12 px-4">
              <p class="nassa-text-large">intelligenza artificale</p>
              <p class="nassa-text">
                impariamo a creare immagini, video, testi o musica con reti neurali
                <br>
                <span class="nassa-text text-black-50"><em>senza scrivere codice!</em></span>
              </p>
               <p class="nassa-text uppercase">sabato 16 ottobre <span style="color: #EB5F6B">11.00 - 18.30</span></p>
            </div>
            <div class="col-12">
              <div class="row">
                <div class="col-6 text-center">
                  <a class="nassa-text-large nassa-register-btn" href="https://cloud.lanassa.net/index.php/apps/forms/x54kZGYRc8gosxsx">
                  iscriviti
                  </a>
                </div>
                <div class="col-6 text-center">
                  <a class="nassa-text-large nassa-register-btn js-scroll-trigger" href="#ai-course">dettagli</a>
                </div>
              </div>
            </div>

          </div>
        </div>
        <div class="col-12 col-lg-6 my-3">
          <hr class='lab-bar'/>
          <div class="row my-4">
            <div class="col-12 px-4">
              <p class="nassa-text-large">mamma, ho creato un transformer!</p>
              <p class="nassa-text">
                costruiamo insieme una macchina robotizzata in grado di evitare ostacoli!
              </p>
             <p class="nassa-text uppercase">domenica 17 ottobre <span style="color: #EB5F6B">11.00 - 18.30</span></p>

            </div>
            <div class="col-12">
              <div class="row">
                <div class="col-6 text-center">
                  <a class="nassa-text-large nassa-register-btn" href="https://cloud.lanassa.net/index.php/apps/forms/nL2bsYLbaBwnqJS6">
                  iscriviti
                  </a>
                </div>
                <div class="col-6 text-center">
                  <a class="nassa-text-large nassa-register-btn js-scroll-trigger" href="#rob-course">dettagli</a></div>
              </div>
            </div>
          </div>
        </div>
      </div> -->


      <div class="mt-1">

        <hr class='lab-bar my-4'/>
        <div class="col-12 m-4">
          <p class="nassa-text">
            al momento purtroppo non sono previsti laboratori.
          stiamo lavorando per svilupparne di nuovi e migliorare i passati.

          </p>
          <p class="text-center">
            <a class="nassa-text nassa-register-btn" target="_blank" href="https://cloud.lanassa.net/index.php/apps/forms/f8txwdkm63szsg3i">
              registrati per rimanere aggiornato!
            </a>
          </p>
        </div>
        <div class="row">
          <div class="col-6 p-4 text-center">
            <a class="nassa-text nassa-register-btn js-scroll-trigger" href="#labs">dai un'occhiata agli ultimi!</a>
          </div>
          <div class="col-6 p-4 text-center">
            <a class="nassa-text nassa-register-btn js-scroll-trigger" href="#questions">dubbi? leggi le domande</a>
          </div>
        </div>
        <hr class='lab-bar my-4' id="labs"/>
        <h3 class="text-center py-2 nassa-text-large">gli ultimi laboratori</h3>
        <div class="my-2" id="ai-course">
          &nbsp;
          <h4 class="nassa-text-large p-2 mt-2">intelligenza artificiale</h4>
          <p class="nassa-text px-2">
            in questo laboratorio andiamo a scoprire degli strumenti che ci
            permettono di creare nuovi contenuti con l'aiuto dell'intelligenza
            artificiale, aprendo nuove possibilità per i creativi.
          </p>
          <div class="row">
            <div class="col-lg-6 col-12 my-4">
              <img width="100%" src="imgs/studio.JPG">
            </div>
            <div class="col-lg-6 col-12 my-4">
              <img width="100%" src="imgs/palma-spiega.JPG">
            </div>
          </div>
          <p class="nassa-text px-2">
            il laboratorio si svolge in un clima sereno e invita alla discussione
            e al lavoro di gruppo, lavorando su temi nuovi e
            discutendo sulle possibili applicazioni, problemi e pregiudizi
            che si possono avere sulle diverse tecnologie.
            come esempio, possiamo creare nuove personalità virtuali o nuovi
            paesaggi, e fondere le immagini per creare suggestive animazioni.
          </p>
          <div class="row">
            <div class="col-lg-6 col-12">
              <video width="100%" controls poster="face_preview.png">
                <source src="ai_faces_web.mp4" type="video/mp4">
                <source src="ai_faces_web.webm" type="video/webm">
              </video>
            </div>
            <div class="col-lg-6 col-12" style="padding-top: 10%">
              <video width="100%" controls poster="landscape_1.jpeg">
                <source src="ai_landscapes_web.mp4" type="video/mp4">
                <source src="ai_landscapes_web.webm" type="video/webm">
              </video>
            </div>
          </div>
          <div class="my-4">
            <p class="text-center">
              <a class="nassa-text nassa-register-btn" target="_blank" href="https://cloud.lanassa.net/index.php/apps/forms/f8txwdkm63szsg3i">
                registrati per rimanere aggiornato!
              </a>
            </p>
          </div>
        </div>
        <hr class='lab-bar my-4'/>
        <div class="my-2" id="rob-course">
          &nbsp;
          <h4 class="nassa-text-large p-2 mt-2">mamma, ho creato un transformer</h4>
          <p class="nassa-text px-2">
            in questo laboratorio impariamo a costruire una macchina robotizzata
            in grado di muoversi ed evitare gli ostacoli.
          </p>
          <div class="row">
            <div class="col-lg-12 col-12 my-4">
              <img width="100%" src="imgs/robot.JPG">
            </div>
            <!-- <div class="col-lg-6 col-12 my-4">
              <img width="100%" src="imgs/palma-spiega.JPG">
            </div> -->
          </div>
          <p>
            la macchina robotizzata (wall-e in foto) monta un sensore a ultrasuoni
            per calcolare la distanza dai vari oggetti su un servo motore
            in grado di girarla a destra a sinistra per cercare la strada migliore.
            durante il laboratorio si attraversano tutte le fasi del progetto,
            partendo dal montaggio dei vari componenti, alla connessione dei
            relativi cavetti e alla programmazione del codice necessario,
            possibile sia a livello di codice puro
            che a livello visuale (a blocchi).
          </p>
          <div class="row">
            <div class="col-lg-4 col-12 text-center">
              <img class="nassa-lab-img" src="robo-sq.JPG" width=100% alt="il robottino">
              <p class="nassa-text-small text-left m-2">
                un esempio di macchina robotizzata con 2 motori collegati alle ruote,
                un sensore per evitare gli ostacoli e un mini-computer per pensare.
              </p>
            </div>
            <div class="col-lg-4 col-12 text-center">
              <img class="nassa-lab-img" src="pi_pico.JPG" width=100% alt="il mini-processore">
              <p class="nassa-text-small text-left m-2">
                il "cervello" che muove la macchina, il raspberry pi pico
              </p>
            </div>
            <div class="col-lg-4 col-12 text-center">
              <img class="nassa-lab-img" src="sensor.JPG" width=100% alt="il robottino">
              <p class="nassa-text-small text-left m-2">
                il sensore per riconoscere gli ostacoli, in grado di calcolare la distanza
                rimanente prima di andare a sbatterci.
              </p>
            </div>
          </div>
          <div class="my-4">
            <p class="text-center">
              <a class="nassa-text nassa-register-btn" target="_blank" href="https://cloud.lanassa.net/index.php/apps/forms/f8txwdkm63szsg3i">
                registrati per rimanere aggiornato!
              </a>
            </p>
          </div>
        </div>
      </div>

      <div class="mt-1">
        <hr class='lab-bar my-4'/>
        <div id="questions">&nbsp;</id>
        <h3 class="text-center py-2 nassa-text-large">domande</h3>
        <p class="nassa-text ml-3">
          <span class="question">come funzionano i laboratori aperti?</span>
          <span class="answer">sono decisamente interattivi: dalla discussione alla creazione di un mini-progetto, i partecipanti avranno sicuramente l'occasione di imparare facendo.</span>
          <br>
          <span class="question">dove si trovano i laboratori?</span>
          <span class="answer">il luogo varia a seconda del laboratorio, sarà comunicato.</span>
          <br>
          <span class="question">quanto costano i laboratori?</span>
          <span class="answer">il costo varia a seconda del laboratorio e del materiale</span>
          <br>
          <span class="question">chiunque può partecipare?</span>
          <span class="answer">sì, non sono richieste conoscenze specifiche</span>
          <br>
          <span class="question">devo portare qualcosa?</span>
          <span class="answer">curiosità e voglia di imparare. un computer portatile aiuta, ma possiamo recuperarne uno per te se non ne hai a portata di mano.</span>
          <br>
          <span class="question">mi interessa, come mi registro per i prossimi?</span>
          <span class="answer">iscriviti cliccando su <a class="nassa-register-btn-2" href="https://cloud.lanassa.net/index.php/apps/forms/f8txwdkm63szsg3i">questo link</a> alla lista d'attesa, e ti ricontatteremo alla prossima occasione!</span>
        <hr class='lab-bar my-4'/>
        <div class="text-center">
          <p class="nassa-text mt-5 ml-1 pl-4">
            ti sono rimasti dei dubbi? scrivici pure via
          </p>
        </div>
        <div class="row">
          <div class="col-4 p-4 text-center nassa-contact-div">
            <img class='contact-img' src='../assets/img/logo/Logo_FB.svg' alt='logo modificato per facebook'>
            <a class='link-nassa nassa-text-small' href="https://www.facebook.com/lanassa.ve">facebook</a>
          </div>
          <div class="col-4 p-4 text-center nassa-contact-div">
            <img class='contact-img' src='../assets/img/logo/Logo_INST.svg' alt='logo modificato per instagram'>
            <a class='link-nassa nassa-text-small' href="https://instagram.com/lanassa.ve">instagram</a>
          </div>
          <div class="col-4 p-4 text-center nassa-contact-div">
            <img class='contact-img' src='../assets/img/logo/Logo_MAIL.svg' alt='logo modificato per mail'>
            <a class='link-nassa nassa-text-small' href="mailto:info@lanassa.net">mail</a>
          </div>
        </div>
      </div>
    </div>
  </section>

  <!-- ensuring margin on top of the footer
           in a different div to change the color when needed -->
  <div id='nassa-footer-space'></div>

   <!-- Footer -->
   <section class="p-2 bg-gray">
    <div class="px-4">
      <hr />
    </div>
    <div class="container" id="nassa_footer">

    </div>
  </section>

  <script>
    fetch('/footer.html')
    .then(response => response.text())
    .then(html => {
      // Insert the HTML into the div
      document.getElementById('nassa_footer').innerHTML = html;
    })
    .catch(error => console.warn(error));
  </script>

  <!-- Bootstrap core JS-->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
  <!-- Third party plugin JS-->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
  <!-- Core theme JS-->
  <script>
    /*!
        * Start Bootstrap - Grayscale v6.0.3 (https://startbootstrap.com/theme/grayscale)
        * Copyright 2013-2020 Start Bootstrap
        * Licensed under MIT (https://github.com/StartBootstrap/startbootstrap-grayscale/blob/master/LICENSE)
        */
        (function ($) {
        "use strict"; // Start of use strict

        // Smooth scrolling using jQuery easing
        $('a.js-scroll-trigger[href*="#"]:not([href="#"])').click(function () {
            if (
                location.pathname.replace(/^\//, "") ==
                    this.pathname.replace(/^\//, "") &&
                location.hostname == this.hostname
            ) {
                var target = $(this.hash);
                target = target.length
                    ? target
                    : $("[name=" + this.hash.slice(1) + "]");
                if (target.length) {
                    $("html, body").animate(
                        {
                            scrollTop: target.offset().top - 70,
                        },
                        1000,
                        "easeInOutExpo"
                    );
                    return false;
                }
            }
        });

        // Closes responsive menu when a scroll trigger link is clicked
        $(".js-scroll-trigger").click(function () {
            $(".navbar-collapse").collapse("hide");

        });

        // Activate scrollspy to add active class to navbar items on scroll
        $("body").scrollspy({
            target: "#mainNav",
            offset: 100,
        });


        // Collapse Navbar
        var navbarCollapse = function () {
            if ($("#mainNav").offset().top > 100) {
                //$("#mainNav").addClass("navbar-shrink");
                $("#mainNav").addClass("always-on-top");
                $('#top-left-logo').height('50px');
                $('#top-left-logo').attr("src",'../assets/img/logo/Logo_NoLettering.svg');
            } else {
                //$("#mainNav").removeClass("navbar-shrink");
                $("#mainNav").removeClass("always-on-top");
                $('#top-left-logo').height('80px');
                $('#top-left-logo').attr("src",'../assets/img/logo/Logo_Orizzontale.svg');
            }
        };
        // Collapse now if page is not at top
        navbarCollapse();
        // Collapse the navbar when page is scrolled
        $(window).scroll(navbarCollapse);
    })(jQuery); // End of use strict

    var actual_page = window.location.href.split("/").pop();
    var navlinks = $('.nav-link');
    var menu_toggle = 'bars';
    var j = 0;

    function whitify() {
      $('#top-left-logo').attr("src",'../assets/img/logo/Logo_Orizzontale_Bianco.svg');
      for (j = 0; j < navlinks.length; j++) {
        navlinks[j].style.color = 'white';
      }
      $('#btn-menu')[0].style.color = 'white';
    }

    function blackify() {
      for (j = 0; j < navlinks.length; j++) {
        navlinks[j].style.color = 'black';
      }
      $('#btn-menu')[0].style.color = 'black';
    }

    $(document).on("click", "#btn-menu", function() {
      if (menu_toggle == 'bars') {
        $('#btn-menu').html('<i class="nassa-text-large fas fa-times"></i>');
        menu_toggle = 'times';
        console.log('changed to times');
        $('#mainNav').removeClass('transparent');
        if (actual_page == 'index.html' || actual_page == "" || actual_page == "#page-top") {
          blackify();
        }
      }
      else if (menu_toggle == 'times') {
        $('#btn-menu').html('<i class="nassa-text-large fas fa-bars"></i>');
        menu_toggle = 'bars';
        console.log('changed to bars');
        $('#mainNav').addClass('transparent');
        if (actual_page == 'index.html' || actual_page == "" || actual_page == "#page-top") {
          whitify();
        }
      }
    });



  </script>

</body>

</html>
